Bug 145215 - garbage after split()
garbage after split()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
http://rt.perl.org/rt3/index.html?q=2...
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-01-15 09:32 EST by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-881
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-01-15 09:32:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
assigning off the end of the array after a split could leave garbage
in the inner elements.

#! /usr/bin/perl
@a = split /,/, "," x 50;
$a[3]=1;
$x = \$a[2];
print ref($x),"\n";


Version-Release number of selected component (if applicable):
perl-5.8.0-88.9

How reproducible:
Always

Steps to Reproduce:
1. run above test code.
2.
3.
    

Actual Results:  UNKNOWN

Expected Results:  SCALAR

Additional info:

see also perl bug #28938
Comment 1 Jason Vas Dias 2005-11-08 21:02:57 EST
We apologize for the long delay in processing this bug report.

This bug is fixed with perl-5.8.0-90.2 , which should be in the next RHEL-3
update release.
Comment 5 Red Hat Bugzilla 2005-12-20 09:58:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-881.html

Note You need to log in before you can comment on or make changes to this bug.